Name: lua5.4-module-luafilesystem
Version: 1.8.0
Release: alt1

Summary: File System Library for the Lua Programming Language
License: MIT/X11
Group: Development/Other
Url: https://keplerproject.github.io/luafilesystem/

%if "%current_lua_version" >= "5.3"
Obsoletes: lua-module-luafilesystem < %version
Provides: lua-module-luafilesystem = %version
%else
Obsoletes: lua5-luafilesystem < %version
Provides: lua5-luafilesystem = %version
%endif

# https://github.com/keplerproject/luafilesystem/archive/v%version.tar.gz
Source: luafilesystem-%version.tar

BuildRequires: lua5.4 liblua5.4-devel

%description
      LuaFileSystem is a Lua library developed to complement the set of
      functions related to file systems offered by the standard Lua
      distribution. LuaFileSystem offers a portable way to access the
      underlying directory structure and file attributes.

%prep
%setup -n luafilesystem-%version

%build
%make_build LUA_LIBDIR=%lua_modulesdir CFLAGS="%optflags"

%install
%makeinstall_std LUA_LIBDIR=%lua_modulesdir

%check
%lua_path_add_buildroot
for t in tests/* ; do
	lua%current_lua_version $t
done

%files
%doc README* doc/*
%lua_modulesdir/*

%changelog
* Sun Jul 03 2022 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.8.0-alt1
- Updated to 1.8.0.
- Built from tarball.
- Updated Url field.

* Fri Jun 07 2019 Ildar Mulyukov <ildar@altlinux.ru> 1.7.0-alt1_lr2
- autogenerated by lrimport
- restuctured according to https://www.altlinux.org/Lua_Policy

* Thu Jul 13 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 1.6.2-alt2
- Rebuild with new luarocks and lua-5.3

* Mon Oct 06 2014 Ildar Mulyukov <ildar@altlinux.ru> 1.6.2-alt1_lr2
- autogenerated by lrimport

* Thu Jan 06 2011 Ildar Mulyukov <ildar@altlinux.ru> 1.5.0-alt1_lr1
- autogenerated by lrimport
